import request from '@/utils/request'

// 查询钥匙柜管理列表
export function listKeyCase (query) {
  return request({
    url: '/clw/KeyCase/list',
    method: 'get',
    params: query
  })
}

// 查询钥匙柜管理详细
export function getKeyCase (id) {
  return request({
    url: '/clw/KeyCase/' + id,
    method: 'get'
  })
}

// 新增钥匙柜管理
export function addKeyCase (data) {
  return request({
    url: '/clw/KeyCase',
    method: 'post',
    data: data
  })
}

// 修改钥匙柜管理
export function updateKeyCase (data) {
  return request({
    url: '/clw/KeyCase',
    method: 'put',
    data: data
  })
}

// 删除钥匙柜管理
export function delKeyCase (id) {
  return request({
    url: '/clw/KeyCase/' + id,
    method: 'delete'
  })
}
